While trying to implement erpnext on digitalocean. Getting following error

hile

Hi. Better to paste the error. Don’t think you can the error from a picture

TASK [bench : Create a new site] ***************************************************************************
skipping: [localhost]

TASK [bench : Install ERPNext to default site] *************************************************************
fatal: [localhost]: FAILED! => {“changed”: true, “cmd”: [“bench”, “–site”, “site1.local”, “install-app”, “e rpnext”], “delta”: “0:00:03.145402”, “end”: “2018-12-23 18:43:39.966645”, “msg”: “non-zero return code”, “rc “: 1, “start”: “2018-12-23 18:43:36.821243”, “stderr”: “Traceback (most recent call last):\n File “/home/f rappe/frappe-bench/apps/frappe/frappe/model/base_document.py”, line 312, in db_insert\n ), list(d.values ()))\n File “/home/frappe/frappe-bench/apps/frappe/frappe/database/database.py”, line 154, in sql\n se lf._cursor.execute(query, values)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/pymysq l/cursors.py”, line 170, in execute\n result = self._query(query)\n File “/home/frappe/frappe-bench/en v/lib/python3.5/site-packages/pymysql/cursors.py”, line 328, in _query\n conn.query(q)\n File “/home/f rappe/frappe-bench/env/lib/python3.5/site-packages/pymysql/connections.py”, line 517, in query\n self._a ffected_rows = self._read_query_result(unbuffered=unbuffered)\n File “/home/frappe/frappe-bench/env/lib/py thon3.5/site-packages/pymysql/connections.py”, line 732, in _read_query_result\n result.read()\n File \ “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/pymysql/connections.py”, line 1075, in read\n first_packet = self.connection._read_packet()\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-pa ckages/pymysql/connections.py”, line 684, in read_packet\n packet.check_error()\n File “/home/frappe/ frappe-bench/env/lib/python3.5/site-packages/pymysql/protocol.py”, line 220, in check_error\n err.raise mysql_exception(self._data)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/pymysql/err. py”, line 109, in raise_mysql_exception\n raise errorclass(errno, errval)\npymysql.err.IntegrityError: ( 1062, “Duplicate entry ‘Accounts’ for key ‘PRIMARY’”)\n\nDuring handling of the above exception, another e xception occurred:\n\nTraceback (most recent call last):\n File “/usr/lib/python3.5/runpy.py”, line 184, in _run_module_as_main\n “main”, mod_spec)\n File “/usr/lib/python3.5/runpy.py”, line 85, in ru n_code\n exec(code, run_globals)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helpe r.py”, line 97, in \n main()\n File "/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench helper.py”, line 18, in main\n click.Group(commands=commands)(prog_name=‘bench’)\n File “/home/frappe/ frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 764, in call\n return self.main(*a rgs, **kwargs)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 717 , in main\n rv = self.invoke(ctx)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/cli ck/core.py”, line 1137, in invoke\n return _process_result(sub_ctx.command.invoke(sub_ctx))\n File “/h ome/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke\n return _p rocess_result(sub_ctx.command.invoke(sub_ctx))\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-pa ckages/click/core.py”, line 956, in invoke\n return ctx.invoke(self.callback, **ctx.params)\n File “/h ome/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 555, in invoke\n return cal lback(*args, **kwargs)\n File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/decorators. py”, line 17, in new_func\n return f(get_current_context(), *args, **kwargs)\n File “/home/frappe/frap pe-bench/apps/frappe/frappe/commands/init.py”, line 25, in _func\n ret = f(frappe._dict(ctx.obj), *a rgs, *kwargs)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py”, line 169, in insta ll_app\n _install_app(app, verbose=context.verbose)\n File “/home/frappe/frappe-bench/apps/frappe/frapp e/installer.py”, line 83, in install_app\n add_module_defs(name)\n File “/home/frappe/frappe-bench/app s/frappe/frappe/installer.py”, line 285, in add_module_defs\n d.save(ignore_permissions=True)\n File " /home/frappe/frappe-bench/apps/frappe/frappe/model/document.py", line 259, in save\n return self._save( args, **kwargs)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 282, in _sa ve\n self.insert()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 236, in insert\n raise e\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 233, in insert\n self.db_insert()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/base_document. py”, line 322, in db_insert\n raise frappe.DuplicateEntryError(self.doctype, self.name, e)\nfrappe.excep tions.DuplicateEntryError: (‘Module Def’, ‘Accounts’, IntegrityError(1062, “Duplicate entry ‘Accounts’ for key ‘PRIMARY’”))”, “stderr_lines”: [“Traceback (most recent call last):”, " File “/home/frappe/frappe-ben ch/apps/frappe/frappe/model/base_document.py”, line 312, in db_insert”, " ), list(d.values()))", " File “/home/frappe/frappe-bench/apps/frappe/frappe/database/database.py”, line 154, in sql", " self._cursor .execute(query, values)", " File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/pymysql/cursor s.py”, line 170, in execute", " result = self._query(query)", " File “/home/frappe/frappe-bench/env/li b/python3.5/site-packages/pymysql/cursors.py”, line 328, in _query", " conn.query(q)", " File “/home/f rappe/frappe-bench/env/lib/python3.5/site-packages/pymysql/connections.py”, line 517, in query", " self. _affected_rows = self._read_query_result(unbuffered=unbuffered)", " File “/home/frappe/frappe-bench/env/li b/python3.5/site-packages/pymysql/connections.py”, line 732, in _read_query_result", " result.read()", " File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/pymysql/connections.py”, line 1075, in r ead", " first_packet = self.connection._read_packet()", " File “/home/frappe/frappe-bench/env/lib/pytho n3.5/site-packages/pymysql/connections.py”, line 684, in _read_packet", " packet.check_error()", " File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/pymysql/protocol.py”, line 220, in check_error “, " err.raise_mysql_exception(self._data)”, " File “/home/frappe/frappe-bench/env/lib/python3.5/site-p ackages/pymysql/err.py”, line 109, in raise_mysql_exception", " raise errorclass(errno, errval)", “pymys ql.err.IntegrityError: (1062, “Duplicate entry ‘Accounts’ for key ‘PRIMARY’”)”, “”, “During handling of th e above exception, another exception occurred:”, “”, “Traceback (most recent call last):”, " File “/usr/li b/python3.5/runpy.py”, line 184, in _run_module_as_main", " “main”, mod_spec)", " File “/usr/lib /python3.5/runpy.py”, line 85, in _run_code", " exec(code, run_globals)", " File “/home/frappe/frappe- bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in “, " main()”, " File “/home/frapp e/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main", " click.Group(commands=comm ands)(prog_name=‘bench’)", " File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py “, line 764, in call”, " return self.main(*args, **kwargs)”, " File “/home/frappe/frappe-bench/env /lib/python3.5/site-packages/click/core.py”, line 717, in main", " rv = self.invoke(ctx)", " File “/ho me/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke", " return _ process_result(sub_ctx.command.invoke(sub_ctx))", " File “/home/frappe/frappe-bench/env/lib/python3.5/site -packages/click/core.py”, line 1137, in invoke", " return _process_result(sub_ctx.command.invoke(sub_ctx ))", " File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 956, in invok e", " return ctx.invoke(self.callback, **ctx.params)", " File “/home/frappe/frappe-bench/env/lib/python 3.5/site-packages/click/core.py”, line 555, in invoke", " return callback(*args, **kwargs)", " File “/ home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/decorators.py”, line 17, in new_func", " return f(get_current_context(), *args, **kwargs)", " File “/home/frappe/frappe-bench/apps/frappe/frappe/co mmands/init.py”, line 25, in _func", " ret = f(frappe._dict(ctx.obj), *args, **kwargs)", " File “/ home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py”, line 169, in install_app", " _install_app (app, verbose=context.verbose)", " File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 83, in install_app", " add_module_defs(name)", " File “/home/frappe/frappe-bench/apps/frappe/frappe/in staller.py”, line 285, in add_module_defs", " d.save(ignore_permissions=True)", " File “/home/frappe/f rappe-bench/apps/frappe/frappe/model/document.py”, line 259, in save", " return self._save(*args, **kwar gs)", " File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 282, in _save", " self.insert()", " File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 236, in ins ert", " raise e", " File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 233, i n insert", " self.db_insert()", " File “/home/frappe/frappe-bench/apps/frappe/frappe/model/base_documen t.py”, line 322, in db_insert", " raise frappe.DuplicateEntryError(self.doctype, self.name, e)", “frappe .exceptions.DuplicateEntryError: (‘Module Def’, ‘Accounts’, IntegrityError(1062, “Duplicate entry 'Accounts ’ for key ‘PRIMARY’”))”], “stdout”: “\nInstalling erpnext…”, “stdout_lines”: ["", “Installing erpnext…” ]}
to retry, use: --limit @/tmp/.bench/playbooks/site.retry

How are you installing? I do many successful setups on DO, both Ubuntu 16.04 and 18.04 using the following quick setup commands:

sudo apt-get update && sudo apt-get install python-dev python-setuptools build-essential && wget https://raw.githubusercontent.com/frappe/bench/master/playbooks/install.py && sudo python install.py --production --user frappe --mysql-root-password PASSWORD!@# --admin-password PASSWORD!@#